package domain


type AlibabaWdkSeriesSortApiResult struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        系列品重置默认商品成功结果     */
    Model  *bool `json:"model,omitempty" `

    /*
        错误详情     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSeriesSortApiResult) SetErrCode(v string) *AlibabaWdkSeriesSortApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSeriesSortApiResult) SetModel(v bool) *AlibabaWdkSeriesSortApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSeriesSortApiResult) SetErrMsg(v string) *AlibabaWdkSeriesSortApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSeriesSortApiResult) SetSuccess(v bool) *AlibabaWdkSeriesSortApiResult {
    s.Success = &v
    return s
}
